net.sf.jasperreports.engine.export

## Class AbstractHtmlExporter<RC extends HtmlReportConfiguration,C extends HtmlExporterConfiguration>

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter<RC,C,HtmlExporterOutput,JRHtmlExporterContext>
  - - net.sf.jasperreports.engine.export.AbstractHtmlExporter<RC,C>

- All Implemented Interfaces:
    JRExporter<ExporterInput,RC,C,HtmlExporterOutput>, Exporter<ExporterInput,RC,C,HtmlExporterOutput>
  Direct Known Subclasses:
    HtmlExporter, JRHtmlExporter, JRXhtmlExporter

      public abstract class AbstractHtmlExporter<RC extends HtmlReportConfiguration,C extends HtmlExporterConfiguration>
      extends JRAbstractExporter<RC,C,HtmlExporterOutput,JRHtmlExporterContext>

  Version:
    $Id: HtmlExporter.java 6502 2013-09-11 14:07:25Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `JRAbstractExporter.BaseExporterContext, JRAbstractExporter.PageRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `CSS_TEXT_ALIGN_CENTER`
    `protected static java.lang.String` | `CSS_TEXT_ALIGN_JUSTIFY`
    `protected static java.lang.String` | `CSS_TEXT_ALIGN_LEFT`
    `protected static java.lang.String` | `CSS_TEXT_ALIGN_RIGHT`
    `protected static float` | `DEFAULT_ZOOM`
    `protected HtmlResourceHandler` | `fontHandler`
    `protected static java.lang.String` | `HTML_VERTICAL_ALIGN_BOTTOM`
    `protected static java.lang.String` | `HTML_VERTICAL_ALIGN_MIDDLE`
    `protected static java.lang.String` | `HTML_VERTICAL_ALIGN_TOP`
    `static java.lang.String` | `IMAGE_NAME_PREFIX`
    `protected static int` | `IMAGE_NAME_PREFIX_LEGTH`
    `protected HtmlResourceHandler` | `imageHandler`
    `protected static java.lang.String` | `JR_BOOKMARK_ANCHOR_PREFIX`
    `protected static java.lang.String` | `JR_PAGE_ANCHOR_PREFIX`
    `protected HtmlResourceHandler` | `resourceHandler`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `allSelector, crtCompositeConfiguration, crtCompositeItemConfiguration, crtItem, dateFormatCache, EXCEPTION_MESSAGE_KEY_END_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_START_PAGE_INDEX_OUT_OF_RANGE, exporterConfiguration, exporterContext, exporterInput, exporterOutput, filter, itemConfiguration, jasperPrint, jasperReportsContext, noBackcolorSelector, noneSelector, numberFormatCache, parameters, propertiesUtil, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, styledTextUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHtmlExporter(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HtmlResourceHandler` | `getFontHandler()` Deprecated. Replaced by `HtmlExporterOutput.getFontHandler()`.
    `static JRPrintImage` | `getImage(java.util.List<JasperPrint> jasperPrintList, JRPrintElementIndex imageIndex)`
    `static JRPrintImage` | `getImage(java.util.List<JasperPrint> jasperPrintList, java.lang.String imageName)`
    `HtmlResourceHandler` | `getImageHandler()` Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
    `static java.lang.String` | `getImageName(JRPrintElementIndex printElementIndex)`
    `static JRPrintElementIndex` | `getPrintElementIndex(java.lang.String imageName)`
    `HtmlResourceHandler` | `getResourceHandler()` Deprecated. Replaced by `HtmlExporterOutput.getResourceHandler()`.
    `void` | `setFontHandler(HtmlResourceHandler fontHandler)` Deprecated. Replaced by `HtmlExporterOutput.getFontHandler()`.
    `void` | `setImageHandler(HtmlResourceHandler imageHandler)` Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.
    `void` | `setResourceHandler(HtmlResourceHandler resourceHandler)` Deprecated. Replaced by `HtmlExporterOutput.getResourceHandler()`.

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `createFilter, defaultParseNumber, ensureInput, ensureJasperReportsContext, ensureOutput, exportReport, getBooleanCellValue, getConfigurationInterface, getCurrentConfiguration, getCurrentItemConfiguration, getCurrentJasperPrint, getCustomHandler, getDateCellValue, getDateFormat, getExporterContext, getExporterInput, getExporterKey, getExporterOutput, getExporterPropertiesPrefix, getHyperlinkProducer, getItemConfigurationInterface, getJasperReportsContext, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getPageRange, getParameter, getParameters, getPropertiesUtil, getReportContext, getStyledText, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, initExport, initReport, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setConfiguration, setConfiguration, setCurrentExporterInputItem, setExporterInput, setExporterOutput, setFrameElementsOffset, setJasperPrint, setJasperReportsContext, setOffset, setOffset, setParameter, setParameters, setReportContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CSS_TEXT_ALIGN_LEFT

          protected static final java.lang.String CSS_TEXT_ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### CSS_TEXT_ALIGN_RIGHT

          protected static final java.lang.String CSS_TEXT_ALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### CSS_TEXT_ALIGN_CENTER

          protected static final java.lang.String CSS_TEXT_ALIGN_CENTER

      See Also:
        Constant Field Values

    - #### CSS_TEXT_ALIGN_JUSTIFY

          protected static final java.lang.String CSS_TEXT_ALIGN_JUSTIFY

      See Also:
        Constant Field Values

    - #### HTML_VERTICAL_ALIGN_TOP

          protected static final java.lang.String HTML_VERTICAL_ALIGN_TOP

      See Also:
        Constant Field Values

    - #### HTML_VERTICAL_ALIGN_MIDDLE

          protected static final java.lang.String HTML_VERTICAL_ALIGN_MIDDLE

      See Also:
        Constant Field Values

    - #### HTML_VERTICAL_ALIGN_BOTTOM

          protected static final java.lang.String HTML_VERTICAL_ALIGN_BOTTOM

      See Also:
        Constant Field Values

    - #### JR_PAGE_ANCHOR_PREFIX

          protected static final java.lang.String JR_PAGE_ANCHOR_PREFIX

      See Also:
        Constant Field Values

    - #### JR_BOOKMARK_ANCHOR_PREFIX

          protected static final java.lang.String JR_BOOKMARK_ANCHOR_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_ZOOM

          protected static final float DEFAULT_ZOOM

      See Also:
        Constant Field Values

    - #### IMAGE_NAME_PREFIX

          public static final java.lang.String IMAGE_NAME_PREFIX

      See Also:
        Constant Field Values

    - #### IMAGE_NAME_PREFIX_LEGTH

          protected static final int IMAGE_NAME_PREFIX_LEGTH

    - #### imageHandler

          protected HtmlResourceHandler imageHandler

    - #### fontHandler

          protected HtmlResourceHandler fontHandler

    - #### resourceHandler

          protected HtmlResourceHandler resourceHandler

  - ### Constructor Detail

    - #### AbstractHtmlExporter

          public AbstractHtmlExporter(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getImageHandler

          public HtmlResourceHandler getImageHandler()

      Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.

    - #### setImageHandler

          public void setImageHandler(HtmlResourceHandler imageHandler)

      Deprecated. Replaced by `HtmlExporterOutput.getImageHandler()`.

    - #### getFontHandler

          public HtmlResourceHandler getFontHandler()

      Deprecated. Replaced by `HtmlExporterOutput.getFontHandler()`.

    - #### setFontHandler

          public void setFontHandler(HtmlResourceHandler fontHandler)

      Deprecated. Replaced by `HtmlExporterOutput.getFontHandler()`.

    - #### getResourceHandler

          public HtmlResourceHandler getResourceHandler()

      Deprecated. Replaced by `HtmlExporterOutput.getResourceHandler()`.

    - #### setResourceHandler

          public void setResourceHandler(HtmlResourceHandler resourceHandler)

      Deprecated. Replaced by `HtmlExporterOutput.getResourceHandler()`.

    - #### getImage

          public static JRPrintImage getImage(java.util.List<JasperPrint> jasperPrintList,
                              java.lang.String imageName)

    - #### getImageName

          public static java.lang.String getImageName(JRPrintElementIndex printElementIndex)

    - #### getImage

          public static JRPrintImage getImage(java.util.List<JasperPrint> jasperPrintList,
                              JRPrintElementIndex imageIndex)

    - #### getPrintElementIndex

          public static JRPrintElementIndex getPrintElementIndex(java.lang.String imageName)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com